## mozjs78 78.2.0~linuxmint1+ulyana

=== third_party/python/requests-unixsocket/requirements.txt ===
requests>=1.1
urllib3>=1.8
