## mozjs78 78.2.0~linuxmint1+debbie

=== debian/changelog ===
mozjs78 (78.2.0~linuxmint1+debbie) UNRELEASED; urgency=medium

  * test

 -- Michael Webster <miketwebster@gmail.com>  Wed, 07 Oct 2020 10:25:20 -0400

mozjs78 (78.2.0-1~fakesync1) groovy; urgency=medium

  * Upload from Debian git to Ubuntu while the package is in NEW.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 01 Sep 2020 11:50:23 +0100

mozjs78 (78.2.0-1) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * New upstream version 78.2.0 (Closes: #968341)
    - Rename source to mozjs78
    - debian/gbp.conf: Set debian and upstream branches to match version
    - debian/watch: Update main version regex
  * debian/control:
    - Add back rust and LLVM dependencies:
      mozjs can't be compiled anymore without rust built sources, at least not
      without some huge changes that aren't suitable for a distro-patch, so
      let's add back rustc and cargo as dependencies.
      This also implies some libraries checks that are performed using llvm
      tools, so including it as well.
    - Bump dependency on debhelper 13
    - Bump build dependency to ICU 63.1-4 (tests need debian specific version,
      see bug #968609)
    - Use python3 (and drop python2.7) (Closes: #956334)
    - Update Vcs-* flags to match branches
  * debian/rules:
    - Only use python3
    - Don't set ICU_DATA_FILE as mozilla build system already handles it
    - Use GNOME suggested configure parameters
    - Factorize the code to compute just once the VERSIONED_LIBNAME
    - Export MOZJS_VERSION to be used in install files
    - Use thin LTO in rust (via RUSTFLAGS) for riscv64
    - Ensure rust follows debian compilation settings
    - Set CARGO_HOME to a builddir subdirectory
  * debian/test.sh:
    - Use python3 to run jit tests
    - Run again make check-jstests (it was wrongly removed)
    - Don't redefine HOME. This is now handled by default by debhelper 13
  * debian/*.install: Use debhelper 13 variables sobstitutions to match files
  * debian/README.source: Add doc to explain how we generate the orig file
  * debian/source/lintian-overrides:
    - Ignore missing signature on source tarball
    - Ignore errors on files with very long lines
  * debian/gbp.conf:
    - Remove filters as they are now handled by the repack script
  * debian/gbp-repack-mozjs-source.sh:
    - Only support gbp versions that repack the orig file using the content
      generated by the postunpack hook
    - Add ability to copy more files into the git archive from firefox
      sources, and include the ICU sources to allow builds without system ICU.
    - Add ability to filter files, and remove Files-Excluded from
      debian/copyright (in case gbp imports an orig file without uscan).
    - Delete empty directories in mozjs sources (as git will ignore them)
  * debian/libmozjs-78-0.docs: Include NOTICE file from 3rd party pkcs11
  * debian/patches: Refresh for mozjs78
  * d/p/Bug-1545437-Add-options-to-specify-Rust-target-name.patch:
    - Refreshed to apply in new version, we still need to set RUST_TARGET
  * d/p/Bug-1661094-Always-define-PKGCONF_REQUIRES_PRIVATE.patch:
    - Ensure we generate a pkg-config file with proper syntax
  * d/p/Remove-unused-LLVM-and-Rust-build-dependencies.patch:
    - Dropped, mozjs now strictly depends on rust (and use llvm tools to check)
  * d/p/tests-Adapt-formatted-strings-results-to-system-ICU.patch:
    - Sync expected test results as per latest system ICU
  * d/p/Add-riscv64-support.patch:
    - Ensure that we find the proper rust target in all the riscv64 variants
    - Ensure we compile with -mabi=lp64d, importing some cc-rs fixes.
  * d/p/icu_sources_data.py-Decouple-from-Mozilla-build-system.patch,
    d/p/icu_sources_data-Write-command-output-to-our-stderr.patch:
    - Add back icu sources data patches, they were wrongly removed, even if
      they aren't currently used, they might be useful if internal ICU is
      wanted for backport reasons.

  [ Dimitri John Ledkov ]
  * Disable CET protection in mozjs, until after JIT is ported upstream.

  [ Simon McVittie ]
  * d/copyright: Update
  * d/p/Skip-another-timezone-related-test-that-fails-with-system.patch:
    Add a patch to skip another timezone-related test with system ICU

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Aug 2020 21:59:39 +0100

mozjs68 (68.9.0-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release

  [ Simon McVittie ]
  * Remove rust and LLVM dependencies for better portability.
    Thanks to John Paul Adrian Glaubitz (Closes: #959144)
  * Refresh patch series with gbp-pq-style metadata
  * Install as libmozjs-68.so.0, not libmozjs-68.so.68.
    The SONAME is libmozjs-68.so.0, so we need to install the
    libmozjs-68.so.0 symbolic link. In native installations, ldconfig
    would create libmozjs-68.so.0 for us, but when using mozjs68 to
    cross-compile other packages, that won't happen. (Closes: #959792)
  * d/rules: Justify why we skip basic/bug653153.js on i386.
    That test seems to be failing on i386 due to extended precision in the
    i387 FPU. Upstream always builds with -mfpmath=sse and does not support
    use of i387, but that isn't currently allowed in Debian due to our i386
    baseline being 20 years old (in particular no SSE and no SSE2).
  * d/rules: Avoid parsing d/changelog
  * d/rules: Make variable names less confusing.
    Avoid the DEB_ prefix in our own variables, to avoid mixing up
    our DEB_UPSTREAM_VERSION with dpkg's DEB_VERSION_UPSTREAM.

  [ Marco Trevisan (Treviño) ]
  * debian/rules: Properly parse DEB_VERSION_UPSTREAM using shell
  * d/p/Bug-1545437-Add-options-to-specify-Rust-target-name.patch:
    - Dropped, included upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Jun 2020 22:16:07 +0200

mozjs68 (68.7.0-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release

  [ William Grant ]
  * Add riscv64 support (Closes: #932893)


