## mozjs78 78.2.0~linuxmint1+ulyana

=== debian/changelog ===
mozjs78 (78.2.0~linuxmint1+ulyana) UNRELEASED; urgency=medium

  * test

 -- Michael Webster <miketwebster@gmail.com>  Wed, 07 Oct 2020 10:25:20 -0400
