## mozjs78 78.3.0

=== debian/changelog ===
mozjs78 (78.3.0-2) unstable; urgency=medium

  * Team upload
  * d/p/Bug-1642332-Avoid-static-initializer-for-Number.NaN-r-jan.patch:
    Add patch from upstream to fix Number.NaN being incorrect on mipsen

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 19:45:45 +0100

mozjs78 (78.3.0-1) unstable; urgency=medium

  * Team upload

  [ Julien Cristau ]
  * Update configure flag --disable-ion to --disable-jit on mipsen to
    fix FTBFS.

  [ Simon McVittie ]
  * d/p/tests-Expect-some-tests-to-fail-on-armel.patch:
    Add more tests that are expected to fail on armel, due to softfloat
    not having precisely the same behaviour as hardfloat
  * New upstream release
    - d/p/Bug-1661094-Always-define-PKGCONF_REQUIRES_PRIVATE.patch:
      Drop patch, applied upstream
  * d/p/Bug-1666646-Set-CodeAlignment-to-16-for-the-none-backend..patch:
    Add patch from upstream to fix static assertion failure on mipsel,
    powerpc, and other 32-bit architectures with JIT disabled or missing

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 12:48:00 +0100
