=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 # This can be disabled if the bundled icu overtakes the system version,
 # or for backporting
-WITH_SYSTEM_ICU = no
+WITH_SYSTEM_ICU = yes
 
 export DEB_HOST_ARCH
 # mozjs' build process does not seem to be compatible with other shells
@@ -68,7 +68,7 @@
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH),mips mipsel mips64el))
-CONFIGURE_FLAGS += --disable-ion
+CONFIGURE_FLAGS += --disable-jit
 endif
 
 ifeq ($(DEB_HOST_ARCH),sh4)
@@ -125,12 +125,9 @@
 endif
 
 override_dh_auto_configure:
-# The shipped version is the same as groovy, don't pull a newer version.
-# It breaks the tests.
-#
-# ifneq ($(WITH_SYSTEM_ICU),yes)
-# 	VERBOSE=1 $(PYTHON3) intl/icu_sources_data.py "$(CURDIR)"
-# endif
+ifneq ($(WITH_SYSTEM_ICU),yes)
+	VERBOSE=1 $(PYTHON3) intl/icu_sources_data.py "$(CURDIR)"
+endif
 	mkdir -p $(BUILDDIR)
 	cd $(BUILDDIR); \
 	if env \
@@ -187,5 +184,3 @@
 	SRCDIR=${SRCDIR} BUILDDIR=${BUILDDIR} DEB_HOST_ARCH=${DEB_HOST_ARCH} $(CURDIR)/debian/test.sh $(EXCLUDED_TESTS)
 endif
 endif
-
-override_dh_dwz:
