=== third_party/python/pyasn1-modules/requirements.txt ===
pyasn1>=0.3.4,<0.4.0
