=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 12.0),
+Build-Depends: debhelper-compat (= 13),
                gnome-pkg-tools,
                cargo,
                clang,
                autoconf,
                autoconf2.13,
                automake,
+               libicu-dev (>= 67.1-4~),
                libreadline-dev,
                llvm,
                zlib1g-dev (>= 1:1.2.3),
@@ -37,6 +38,12 @@
  SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
  JavaScript. It is intended to be embedded in other applications
  that provide host environments for JavaScript.
+ .
+ This library is intended for use in contexts where only trusted
+ JavaScript code will be run, such as GNOME's gjs, Cinnamon's cjs, and
+ polkit's rules parsing. It should not be used to run untrusted JavaScript
+ from web pages: use a security-supported implementation such as Firefox,
+ Chrome or WebKitGTK's JavaScriptCore instead.
 
 Package: libmozjs-78-dev
 Architecture: any
@@ -51,3 +58,9 @@
  .
  This package contains the header files which are
  needed for developing SpiderMonkey embedders.
+ .
+ This library is intended for use in contexts where only trusted
+ JavaScript code will be run, such as GNOME's gjs, Cinnamon's cjs, and
+ polkit's rules parsing. It should not be used to run untrusted JavaScript
+ from web pages: use a security-supported implementation such as Firefox,
+ Chrome or WebKitGTK's JavaScriptCore instead.
