## mozjs78 78.13.0

=== debian/changelog ===
mozjs78 (78.13.0-1) unstable; urgency=medium

  * New upstream release
  * Drop Bug-1644600 patch: applied in new release
  * debian/upstream/signing-key.asc: Update from 91.0esr
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Aug 2021 08:46:19 -0400

mozjs78 (78.10.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Bump standards version (no change required)
  * debian/upstream/signing-key.asc: Use minimal key only
  * debian/gbp-repack-mozjs-source.sh: Also filter out *.dll files
  * debian/source/lintian-overrides: Ignore more warnings on shipped js files
  * debian/patches:
    - Refresh
    - Move JSStructuredCloneData destructor to private impl.
      Without this linking against mozjs won't work when structured cloning is
      used.
  * d/p/tests-Adapt-formatted-strings-results-to-system-ICU.patch:
    Ignore system tz name check. This may fail when not on GMT.
  * d/p/time-zone-path-test-Update-for-what-our-system-ICU-return.patch:
    Protect from false negative.
    We did update all the tests to use the system zoneinfo path, but we did
    not include the case were an error should be reported.
    Without doing this we may not check the point of the test (two colons)
    because the test was failing due to the wrong zoneinfo path

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 04 May 2021 19:41:03 +0200
